 package com.leanwo.activiti.dto.base;

import java.util.List;


/**
 * 
 */
public class PreviousUserSelectCalculateRequest {

    /**  任务Id. */
    private String taskId;
    
    /**  工作流Id. */
    private Long workflowId;
    
     /**  数据. */
     private ModelData modelData;
     
     /**  用户选择项. */
     private List<UserSelectDefine> userSelectDefines;

     /** 表单变量. */
  	 private List<KeyValueObject> keyValueObjects;
  	
    /**
     * Gets the 任务Id.
     *
     * @return the 任务Id
     */
    public String getTaskId() {
		return taskId;
	}

	/**
	 * Sets the 任务Id.
	 *
	 * @param taskId the new 任务Id
	 */
	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	/**
	 * Gets the 工作流Id.
	 *
	 * @return the 工作流Id
	 */
    public Long getWorkflowId() {
        return workflowId;
    }

    /**
     * Sets the 工作流Id.
     *
     * @param workflowId the new 工作流Id
     */
    public void setWorkflowId(Long workflowId) {
        this.workflowId = workflowId;
    }

    /**
     * Gets the 数据.
     *
     * @return the 数据
     */
     public ModelData getModelData() {
         return modelData;
     }

     /**
      * Sets the 数据.
      *
      * @param modelData the new 数据
      */
     public void setModelData(ModelData modelData) {
         this.modelData = modelData;
     }

     /**
      * Gets the 用户选择项.
      *
      * @return the 用户选择项
      */
     public List<UserSelectDefine> getUserSelectDefines() {
         return userSelectDefines;
     }

     /**
      * Sets the 用户选择项.
      *
      * @param userSelectDefines the new 用户选择项
      */
     public void setUserSelectDefines(List<UserSelectDefine> userSelectDefines) {
         this.userSelectDefines = userSelectDefines;
     }
     
     /**
  	 * Gets the key value strs.
  	 *
  	 * @return the key value strs
  	 */
  	public List<KeyValueObject> getKeyValueObjects() {
  		return keyValueObjects;
  	}

  	/**
  	 * Sets the key value strs.
  	 *
  	 * @param keyValueObjects the new key value strs
  	 */
  	public void setKeyValueObjects(List<KeyValueObject> keyValueObjects) {
  		this.keyValueObjects = keyValueObjects;
  	}
}
